package com.bailuntec.domain.pojo;


import com.alibaba.fastjson.annotation.JSONField;

public class BaseWarehouse {

        /// <summary>
        /// 仓库Id
        /// 过渡字段，以后移除
        /// </summary>
        @JSONField(name="id")
        public Integer warehouseId;

        /// <summary>
        /// 仓库编码
        /// </summary>
        @JSONField(name="code")
        public String warehouseCode;

        /// <summary>
        /// 旧仓库编码
        /// 过渡字段，以后移除
        /// </summary>
        @JSONField(name="oldCode")
        public String warehouseOldCode;

        /// <summary>
        /// 仓库名称
        /// </summary>
        @JSONField(name="name")
        public String warehouseName;

        /// <summary>
        /// 仓库别名
        /// </summary>
        @JSONField(name="extendName")
        public String warehouseExtendName;

        @JSONField(name="area")
        public WarehouseOutput area;

        /// <summary>
        /// 第三方仓库系统标识，用来识别仓库使用的系统类型
        /// </summary>
        @JSONField(name="systemFlag")
        public String systemFlag;

        /// <summary>
        /// 账户系统Id
        /// </summary>
        @JSONField(name="accountId")
        public Integer bailunAccountId;

        /// <summary>
        /// 账号
        /// </summary>
        @JSONField(name="account")
        public String bailunAccount;

        /// <summary>
        /// 环球仓库类型
        /// </summary>
        @JSONField(name="hqType")
        public String hqType;

        /// <summary>
        /// 仓库类型
        /// </summary>
        @JSONField(name="typeId")
        public Integer typeId;

        /// <summary>
        /// 仓库类型
        /// </summary>
        @JSONField(name="typeName")
        public String typeName;

        /// <summary>
        /// 仓库职能
        /// </summary>
        @JSONField(name="functions")
        public WarehouseOutput[] functions;

    public Integer getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(Integer warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }

    public String getWarehouseOldCode() {
        return warehouseOldCode;
    }

    public void setWarehouseOldCode(String warehouseOldCode) {
        this.warehouseOldCode = warehouseOldCode;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public String getWarehouseExtendName() {
        return warehouseExtendName;
    }

    public void setWarehouseExtendName(String warehouseExtendName) {
        this.warehouseExtendName = warehouseExtendName;
    }

    public WarehouseOutput getArea() {
        return area;
    }

    public void setArea(WarehouseOutput area) {
        this.area = area;
    }

    public String getSystemFlag() {
        return systemFlag;
    }

    public void setSystemFlag(String systemFlag) {
        this.systemFlag = systemFlag;
    }

    public Integer getBailunAccountId() {
        return bailunAccountId;
    }

    public void setBailunAccountId(Integer bailunAccountId) {
        this.bailunAccountId = bailunAccountId;
    }

    public String getBailunAccount() {
        return bailunAccount;
    }

    public void setBailunAccount(String bailunAccount) {
        this.bailunAccount = bailunAccount;
    }

    public String getHqType() {
        return hqType;
    }

    public void setHqType(String hqType) {
        this.hqType = hqType;
    }

    public Integer getTypeId() {
        return typeId;
    }

    public void setTypeId(Integer typeId) {
        this.typeId = typeId;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public WarehouseOutput[] getFunctions() {
        return functions;
    }

    public void setFunctions(WarehouseOutput[] functions) {
        this.functions = functions;
    }
}

